QRCode
How to use QRCode to submit a payin in Argentina.
Last updated
{
"msg": "Success",
"reference": "1111111111",
"code": "10000",
"out_trade_no": "202201010354006",
"web_url": "",
"trade_status": "PROCESSING",
"pay_url": "https://checkout.pagsmile.com/payment-request/866***4bd7",
"prepay_id": "dVZCMEw1ZWlL***NrUk82OVhlbz0=-e43F87BB",
"qr_code":"00020101********630495f5"
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
* "app_id": "162************38",
* "out_trade_no": "202201010354006",
* "method": "QRCode",
* "order_amount": "50",
* "order_currency": "ARS",
* "subject": "trade pay test",
* "content": "trade pay test conent",
* "notify_url": "http://merchant/callback/success",
"return_url": "https://www.merchant.com",
* "buyer_id": "buyer_0101_0001",
* "timestamp": "2022-01-01 03:54:01",
* "customer": {
* "name": "Test Name",
* "email": "test@pagsmile.com",
* "identify": {
* "type": "DNI",
* "number": "********"
}
}